Skip to content

Interface: AssignablePermission

Interface: AssignablePermission

Defined in: auth-shared/src/dto/permission.ts:30

Permission that can be assigned to an org-scoped custom role. Returned by GET /orgs/{orgId}/permissions/assignable.

The org_assignable flag on the server’s permissions table gates which permissions are eligible to be granted from a custom org role; system- level permissions (organizations:delete, users:impersonate, …) stay reserved to platform admins even when an org admin authors a custom role.

Properties

action?

optional action?: string

Defined in: auth-shared/src/dto/permission.ts:35


category?

optional category?: string

Defined in: auth-shared/src/dto/permission.ts:36


code

code: string

Defined in: auth-shared/src/dto/permission.ts:31


description?

optional description?: string

Defined in: auth-shared/src/dto/permission.ts:33


name

name: string

Defined in: auth-shared/src/dto/permission.ts:32


resource?

optional resource?: string

Defined in: auth-shared/src/dto/permission.ts:34